package by.zerg.psim.gui;

import javax.swing.border.TitledBorder;

public class MaskImagePanel extends MainImagePanel {
	public MaskImagePanel() {
		super();
		setBorder(new TitledBorder("Mask Image"));
	}

	@Override
	protected void doOpen() {
		for (ImagePanelListener listener : listeners) {
			listener.openMaskImageButtonClicked();
		}
	}

	@Override
	protected void doFind() {
		for (ImagePanelListener listener : listeners) {
			listener.findMaskImageButtonClicked();
		}
	}

	@Override
	protected void doEdit() {
		for (ImagePanelListener listener : listeners) {
			listener.editMaskImageButtonClicked();
		}
	}

	@Override
	protected void doRefresh() {
		for (ImagePanelListener listener : listeners) {
			listener.refreshMaskImageButtonClicked();
		}
	}
}
